Skip to content

List booked appointments

GET
/v1/appointments
curl --request GET \
--url 'https://api.vocapable.com/v1/appointments?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
call_id
Any of:
string

Filter on call_id. Comma-separated values are OR.

call_id.gte
Any of:
string

Filter on call_id with the gte operator.

call_id.lte
Any of:
string

Filter on call_id with the lte operator.

call_id.gt
Any of:
string

Filter on call_id with the gt operator.

call_id.lt
Any of:
string

Filter on call_id with the lt operator.

call_id.in
Any of:
string

Filter on call_id with the in operator.

campaign_id
Any of:
string

Filter on campaign_id. Comma-separated values are OR.

campaign_id.gte
Any of:
string

Filter on campaign_id with the gte operator.

campaign_id.lte
Any of:
string

Filter on campaign_id with the lte operator.

campaign_id.gt
Any of:
string

Filter on campaign_id with the gt operator.

campaign_id.lt
Any of:
string

Filter on campaign_id with the lt operator.

campaign_id.in
Any of:
string

Filter on campaign_id with the in operator.

contact_id
Any of:
string

Filter on contact_id. Comma-separated values are OR.

contact_id.gte
Any of:
string

Filter on contact_id with the gte operator.

contact_id.lte
Any of:
string

Filter on contact_id with the lte operator.

contact_id.gt
Any of:
string

Filter on contact_id with the gt operator.

contact_id.lt
Any of:
string

Filter on contact_id with the lt operator.

contact_id.in
Any of:
string

Filter on contact_id with the in operator.

created_at
Any of:
string

Filter on created_at. Comma-separated values are OR.

created_at.gte
Any of:
string

Filter on created_at with the gte operator.

created_at.lte
Any of:
string

Filter on created_at with the lte operator.

created_at.gt
Any of:
string

Filter on created_at with the gt operator.

created_at.lt
Any of:
string

Filter on created_at with the lt operator.

created_at.in
Any of:
string

Filter on created_at with the in operator.

starts_at
Any of:
string

Filter on starts_at. Comma-separated values are OR.

starts_at.gte
Any of:
string

Filter on starts_at with the gte operator.

starts_at.lte
Any of:
string

Filter on starts_at with the lte operator.

starts_at.gt
Any of:
string

Filter on starts_at with the gt operator.

starts_at.lt
Any of:
string

Filter on starts_at with the lt operator.

starts_at.in
Any of:
string

Filter on starts_at with the in operator.

status
Any of:
string

Filter on status. Comma-separated values are OR.

status.gte
Any of:
string

Filter on status with the gte operator.

status.lte
Any of:
string

Filter on status with the lte operator.

status.gt
Any of:
string

Filter on status with the gt operator.

status.lt
Any of:
string

Filter on status with the lt operator.

status.in
Any of:
string

Filter on status with the in operator.

Successful Response

Media typeapplication/json
CursorPage[Appointment]
object
data
required
Data
Array<object>
Appointment
object
id
required
Id
string
call_id
required
Call Id
string
contact_id
required
Contact Id
string
integration_connection_id
Any of:
string
external_event_id
Any of:
string
starts_at
required
Starts At
string format: date-time
ends_at
required
Ends At
string format: date-time
contact_timezone
Any of:
string
attendees
Attendees
Array
status
required
Status
string
Allowed values: booked rescheduled cancelled completed no_show
invite_sent_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"status": "booked"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}